Get session detail by session ID
curl --request GET \
--url https://{instance}.flintai.dev/api/v1/aispm-llm-sessions/tenants/{tenant_id}/workspaces/{workspace_id}/{session_id} \
--header 'Authorization: <api-key>'import requests
url = "https://{instance}.flintai.dev/api/v1/aispm-llm-sessions/tenants/{tenant_id}/workspaces/{workspace_id}/{session_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{instance}.flintai.dev/api/v1/aispm-llm-sessions/tenants/{tenant_id}/workspaces/{workspace_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_name": "<string>",
"cost": 123,
"duration_ms": 123,
"prompt_guardrail_result": "<unknown>",
"response_guardrail_result": "<unknown>",
"session_id": "<string>",
"time": "<string>",
"tokens": 123,
"turns": 123,
"turns_list": [
{
"cached_tokens_in": 123,
"cached_tokens_out": 123,
"cost": 123,
"input_preview": "<string>",
"interaction_id": "<string>",
"prompt_guardrail_result": "<unknown>",
"response_guardrail_result": "<unknown>",
"time": "<string>",
"tokens_in": 123,
"tokens_out": 123,
"total_latency_ms": 123
}
]
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}aispm-llm-sessions
Get session detail by session ID
Returns full detail for a single session including overview metadata and a list of associated turns
GET
/
aispm-llm-sessions
/
tenants
/
{tenant_id}
/
workspaces
/
{workspace_id}
/
{session_id}
Get session detail by session ID
Authorizations
Use this header with a Bearer token to authenticate requests.
Path Parameters
Tenant ID
Workspace ID
Session ID
Was this page helpful?

